Summary:	Realtime Voice Changer for the Asterisk PBX
Name:		asterisk-app_voicechanger
Version:	0.2.1
Release:	%mkrel 2
License:	GPL
Group:		System/Servers
URL:		http://www.lobstertech.com/voicechanger/
# http://www.lobstertech.com/voicechanger/asterisk-1.2.0-voicechanger-0.2.patch
Source0:	app_voicechanger-%{version}.tar.bz2
BuildRequires:	asterisk-devel
BuildRequires:	libSoundTouch-devel >= 1.3.1
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This voice changer is a application for Asterisk using the
SoundTouch Library. VoiceChangeDial will bridge a call similarly
to Dial and allow you to adjust the pitch of your voice.

%prep

%setup -q -n app_voicechanger-%{version}

# fix dir perms
find . -type d | xargs chmod 755
    
# fix file perms
find . -type f | xargs chmod 644

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

%build

%make CFLAGS="%{optflags} -pipe -Wall -fPIC -DPIC -D_REENTRANT -D_GNU_SOURCE"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/asterisk
install -m0755 app_voicechanger.so %{buildroot}%{_libdir}/asterisk/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/asterisk/app_voicechanger.so

%changelog
* Thu Mar 23 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-2mdk
- adjust the source for the non bristuff asterisk

* Sun Mar 05 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.1-1mdk
- initial Mandriva package
